System.Design 2.0.0.0 System.Web.UI.Design.ControlDesigner System.Web.UI.Design.IDataSourceDesigner

The class is the base class for data source designers, such as the , , and classes. If you create a new data source control, you might also want to create a custom control designer for your control and derive it from the class.

The class has two event methods: the and methods. Both of these events can be temporarily disabled with the method, which sets the property. The event methods can be enabled again with the method.

There are two static methods that you can use to evaluate the equivalency of schemas or views without creating an instance of the class:

The method compares two schemas.

The method compares the schemas of two views.

Provides design-time support in a design host for the class.

- Constructor
  2.0.0.0

  The constructor is called by the design host at design time.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionListCollection To be added. To be added.

  Gets a list of items that are used to create an action list menu at design time.

- Property
  2.0.0.0
  System.Boolean To be added.

  Use the property in a custom class to enable or disable design-time configuration for a specific data source.

  A design host such as vsprvslong uses the property to determine whether a command to configure the data source appears in the action list menu at design time.

  Gets a value indicating whether the method can be called.

- Property
  2.0.0.0
  System.Boolean To be added.

  Use the property in a derived class to enable or disable the ability to refresh the schema at design time for a specific data source. If your application requires an invariant data structure and the schema will never change, you want the property to return false.

  A design host such as vsprvslong uses the property to determine whether a command to refresh the schema appears in the action list menu at design time.

  In a design host such as vsprvslong, you can see the property in action by completing the following process:

  On your page, place a or an control.

  In Design view, on the action list, click Configure.

  Remove a few fields from the data source.

  On the action list, click Refresh Schema.

  Gets a value indicating whether the method can be called.

- Method
  2.0.0.0
  System.Void

  The method is not supported in the class; however, it can be overridden by custom data source designers inheriting from the class.

  In a design host such as vsprvslong, you can see the method in action by completing the following process:

  Put a or an control on your page.

  In Design view, on the action list, clicking Configure.

  Launches the data source configuration utility in the design host.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs when any property of the associated data source changes.

- Method
  2.0.0.0
  System.String

  The default implementation of the method returns the result from the base method.

  Retrieves the HTML markup for displaying the associated data source control at design time.

  The markup for the design-time display.

- Method
  2.0.0.0
  System.Web.UI.Design.DesignerDataSourceView ``

  In derived classes, if does not exist, the method should return null.

  Retrieves a object that is identified by the view name.

  This implementation always returns null.

  The name of the view.
- Method
  2.0.0.0
  System.String[] To be added.

  Returns an array of the view names that are available in this data source.

  An array of view names.

- Method
  2.0.0.0
  System.Void ``

  The method notifies the control designers of each control that is bound to the associated data source to refresh its control in the design host. The method can be suppressed with the method or by calling the method with an argument of false.

  Raises the event when the properties of the data source have changed and the value is false.

  An object provided by the calling object.
- Method
  2.0.0.0
  System.Void ``

  The method notifies the control designers of each control that is bound to the associated data source that the fields in the schema have changed. The method can be suppressed with the method or by calling the property with an argument of false.

  Raises the event when the schema of the data source has changed and the value is false.

  An object.
- Method
  2.0.0.0
  System.Void ``

  The method is not supported in the class. However, it is supported in derived classes, such as the class.

  Refreshes the schema from the data source, while optionally suppressing events.

  true to allow events when refreshing the schema; false to disable the and events when refreshing the schema.
- Method
  2.0.0.0
  System.Void

  Data source events can be suppressed by setting the property to false or by calling the method with an argument of true.

  Restores data source events after the data source events have been suppressed.

- Event
  2.0.0.0
  System.EventHandler To be added.

  Occurs after the schema has been refreshed.

- Method
  2.0.0.0
  System.Boolean `` ``

  Comparison of the two schemas is based on the views, as well as the names and types of the fields that are contained in the views. The method can be used without an instance of the class.

  Provides a value that indicates whether two schemas are equal.

  true if both schemas are equivalent; otherwise, false.

  The first schema to compare (derived from the ). The second schema to compare.
- Method
  2.0.0.0
  System.Void To be added.

  Postpones all data source events until after the method is called.

- Property
  2.0.0.0
  System.Boolean To be added.

  The property can be set by calling the or method with an argument of true.

  Gets a value indicating whether the event or the method occurs.

- Method
  2.0.0.0
  System.Boolean `` ``

  The method can be used without an instance of the class.

  Provides a value that determines whether two schema views are equal.

  true if both views are equivalent; otherwise, false.

  The first view to compare (derived from the ). The second view to compare.